// PreUnit.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"
#include "UtilDlg.h"		// For SetUnitString.etc.
#include "UtilStr.h"		// For GetResString.
#include "RegData.h"		// For g_pReg->SaveRegUnit.
#include "DynamicDrawView.h"	// For g_pView.
// 03.07.18 Fukushiro M. 1_xZkqqHx_iNhDiNoNiPjM_xHqqkZx_ ()
//#include "MainFrame.h"		// For g_pFrame.
#include "CtlBrHRuler.h"	// For CFCCtlBrHRuler.
#include "CtlBrVRuler.h"	// For CFCCtlBrVRuler.
#include "FrameWnd.h"		// For FFGetMainWnd().
#include "PreUnit.h"		// This header.

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCPreUnit _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCPreUnit, CFCPropertyPageBase)

CFCPreUnit::CFCPreUnit ()
		: BASE_CLASS(CFCPreUnit::IDD)
{
	//{{AFX_DATA_INIT(CFCPreUnit)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDiBiDjDiDgPiCmMiPiJiKpKiJlLiPiIjHjNiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	m_bIsReady = FALSE;	// OnInitDialog_xZkqqHx_iOmAiNhDiMoDiCmJ_xHqqkZx_TRUE.
} // CFCPreUnit::CFCPreUnit.

CFCPreUnit::~CFCPreUnit ()
{
} // CFCPreUnit::~CFCPreUnit.

void CFCPreUnit::DoDataExchange(CDataExchange* pDX)
{
	BASE_CLASS::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCPreUnit)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDhNiDgCiDhDiDjDiDePjHhAiCmMiDhNiDeOiDiNiCpAjCmHiJmBiCnMiClNiCmNiNoNiPjMiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_MAP
} // CFCPreUnit::DoDataExchange.

BEGIN_MESSAGE_MAP(CFCPreUnit, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCPreUnit)
	ON_BN_CLICKED(IDC_UNT_RDO_MM, OnUntRdoMm)
	ON_BN_CLICKED(IDC_UNT_RDO_CM, OnUntRdoCm)
	ON_BN_CLICKED(IDC_UNT_RDO_INCH, OnUntRdoInch)
	ON_BN_CLICKED(IDC_UNT_RDO_SUN, OnUntRdoSun)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_BN_CLICKED(IDC_UNT_RDO_POINT, OnUntRdoPoint)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCPreUnit _xZkqqHx_iDiGiBfLiDfFiKnGjAjEiBeC_xHqqkZx_

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreUnit::IsConsistent
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_jCgMiCkKjAlDiClFiCkNjAnNjCoIiClDiCoKiCmEiCkCiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jFnEjCgM_xHqqkZx_>	TRUE	:_xZkqqHx_jCgMiCkKjAlDiClFiCkCiPoKiNiHiBeC_xHqqkZx_
 *			FALSE	:_xZkqqHx_jCgMiCkKjAlDiClFiCkNiCmIiCkCiPoKiNiHiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.02.17 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
BOOL CFCPreUnit::IsConsistent () const
{
	if (m_tdwWhichUnit == NoValue) return FALSE;
	return TRUE;
} // CFCPreUnit::IsConsistent.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreUnit::UpdateModified
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_jBkOjAkLiCmJjFmPiNfIiCkKiCkAiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiBeBiIoKiCmCiCmFiCoAjFmPiNfIiCkKiCkAiCoKiCmOiPeDjAlDiDhEiDiJiDeP_xHqqkZx_
 *			_xZkqqHx_iCpAjAnNjCoIiClHiCoJiBeCiIoKiCmCiCoAjFmPiNfIiCkKiCmIiCkPiCoKiCmOiPeDjAlDiDhEiDiJiDePiCpAiJpAiPjMiClHiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.02.17 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreUnit::UpdateModified ()
{
	// _xZkqqHx_iJlNiCkJiPiIjHjNjCiGiCmIiCoHiCmOjBkGiOjOjFjMiLeBiBeC_xHqqkZx_
	if (!m_bIsReady) return;
	if (!IsConsistent())
	{
		SetModified(FALSE);
		return;
	}
	BOOL bModified = FALSE;
	if (m_tdwWhichUnit.IsChanged()) bModified = TRUE;
	SetModified(bModified);
} // CFCPreUnit::UpdateModified.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreUnit::UpdateControls
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_jFmPjAjEiCmMiPpDjBnEiCpAiDfCiDjDiDgHiDiNiBfLiDiLiCnGjElNiJgGiClHiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_iIpIjAjE_xHqqkZx_>	dwCtrl	:_xZkqqHx_iClBiCmMiKnGjAjEiCmMiMmEiCnBiPgPiClFiMlDiCmMiDfCiDjDiDgHiDiNiBfLiDiLiCpAiOhHjCoIiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jCiNiInD_xHqqkZx_>	dwCtrl_xZkqqHx_iCkKiDeHiDgGiDeCiDgCiDgHiDfCiDjDiDgHiDiNiBfLiDiLiCmMiOjOiCmNiBeBiClLiCmMiDfCiDjDiDgHiDiNiBfLiDiLiCmJ_xHqqkZx_
 *			_xZkqqHx_jCgMiCpAjAnNjCoIiClHiCoJiCmGiDfCiDjDiDgHiDiNiBfLiDiLjBfDjBmMiCkKjBeJjBpAiPpDjBnEiCmJiCmIiCmBiCmEiClFiCnMiCkEiClNiCnPiBeB_xHqqkZx_
 *			_xZkqqHx_iClLiCmMiDfCiDjDiDgHiDiNiBfLiDiLiCnGiCmMjCgMiCmMjAnNjCoIiCmNiNhDiCoNiCmIiCkCiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.02.17 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreUnit::UpdateControls (DWORD dwCtrl)
{
	// _xZkqqHx_iJlNiCkJiPiIjHjNjCiGiCmIiCoHiCmOjBkGiOjOjFjMiLeBiBeC_xHqqkZx_
	if (!m_bIsReady) return;
	m_bIsReady = FALSE;

	if (dwCtrl != IDC_UNT_RDO_CM &&
		dwCtrl != IDC_UNT_RDO_MM &&
		dwCtrl != IDC_UNT_RDO_INCH &&
		dwCtrl != IDC_UNT_RDO_POINT &&
		dwCtrl != IDC_UNT_RDO_SUN)
	{
		if (m_tdwWhichUnit == NoValue)
		{
			((CButton*)GetDlgItem(IDC_UNT_RDO_CM))->SetCheck(0);
			((CButton*)GetDlgItem(IDC_UNT_RDO_MM))->SetCheck(0);
			((CButton*)GetDlgItem(IDC_UNT_RDO_INCH))->SetCheck(0);
			((CButton*)GetDlgItem(IDC_UNT_RDO_POINT))->SetCheck(0);
			((CButton*)GetDlgItem(IDC_UNT_RDO_SUN))->SetCheck(0);
		} else
		{
			CheckRadioButton(IDC_UNT_RDO_CM, IDC_UNT_RDO_SUN, m_tdwWhichUnit);
		}
	}
	m_bIsReady = TRUE;
} // CFCPreUnit::UpdateControls.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreUnit::UpdateActivate
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_iKgFjBkOjAkLiCmMjHeMiMpIiBeFjGlDiMpIiCpAjClCiCnHiBeBjHeMiMpIiPpDjBnEjFmPjAjEiCpAiNfIjAfGiClFiClNiMoD_xHqqkZx_
 *			_xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmMjFfMiOkGiCpAjFmPiNfIiClHiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.02.17 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreUnit::UpdateActivate ()
{
} // CFCPreUnit::UpdateActivate.

/////////////////////////////////////////////////////////////////////////////
// CFCPreUnit _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreUnit::OnDialogInitValue
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	ID_DIALOG_INIT_VALUE_xZkqqHx_iDfCiDhNiDjDiDgIiCmFiOmAiNhDiBeCiKgFjBkOjAkLjCgMiCmMjFmPjAjEiCpAiPiJiKpKiJlLiClFiBeB_xHqqkZx_
 *			_xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCpAiPiJiKpKiJlLiClHiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.02.20 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreUnit::OnDialogInitValue ()
{
	//----- _xZkqqHx_iKgFjBkOjAkLiCpAiPiJiKpKiJlL_xHqqkZx_ -----
	if (wcscmp(g_pReg->GetUnitString(), GetResWString(IDS_UNIT_STRING_CM)) == 0)
		m_tdwWhichUnit.Init(IDC_UNT_RDO_CM);
	else if (wcscmp(g_pReg->GetUnitString(), GetResWString(IDS_UNIT_STRING_MM)) == 0)
		m_tdwWhichUnit.Init(IDC_UNT_RDO_MM);
	else if (wcscmp(g_pReg->GetUnitString(), GetResWString(IDS_UNIT_STRING_INCH)) == 0)
		m_tdwWhichUnit.Init(IDC_UNT_RDO_INCH);
	else if (wcscmp(g_pReg->GetUnitString(), GetResWString(IDS_UNIT_STRING_POINT)) == 0)
		m_tdwWhichUnit.Init(IDC_UNT_RDO_POINT);
	else if (wcscmp(g_pReg->GetUnitString(), GetResWString(IDS_UNIT_STRING_SUN)) == 0)
		m_tdwWhichUnit.Init(IDC_UNT_RDO_SUN);
	// _xZkqqHx_jFmPjAjEiCmMjCgMiCpAiDfCiDjDiDgHiDiNiBfLiDiLiCnGjElNiJgGiBeC_xHqqkZx_
	UpdateControls(0);
	// _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmMjHeMiMpIiBeFjGlDiMpIiCpAjAnNjCoIiBeC_xHqqkZx_
	UpdateActivate();
	// _xZkqqHx_jBkOjAkLiCmJjFmPiNfIiCkKiCkAiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiCoJiBeC_xHqqkZx_
	UpdateModified();
} // CFCPreUnit::OnDialogInitValue.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreUnit::OnInitDialog
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_iDfPiDeDiDeBiDiNiDePiPiJiKpKiJlLiOjOiCmJiOmAiNhDiClDiCoKiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jFnEjCgM_xHqqkZx_>	_xZkqqHx_iJlKiLeMiDfCiDiBiDjDiDgHiOfBiPmGiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.02.17 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
BOOL CFCPreUnit::OnInitDialog ()
{
	// Superclass_xZkqqHx_iKnGjAjEiOmAiNhDiBeC_xHqqkZx_
	BASE_CLASS::OnInitDialog();

	m_bIsReady = TRUE;

	// _xZkqqHx_iDfPiDeDiDeBiDiNiDePiCmMjCfAiImKjFfMiOkGiCpAjAnNjCoIiClHiCoJiBeC_xHqqkZx_
	::SetUnitString(m_hWnd);
	// _xZkqqHx_jHjIiCkLjIhCjBmOiJjOjFlGiOjKjHpBiCmMjAnNjCoIiCpAiNhDiCkEiBeC_xHqqkZx_
	::RightByLeftHand(m_hWnd);
	// _xZkqqHx_jBkOjAkLjFmPjAjEiCmMiPiJiKpKiJlLiBeC_xHqqkZx_
	PostMessage(WM_COMMAND, ID_DIALOG_INIT_VALUE);

	return TRUE;  // _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmJiDhEiDeIiBfLiDeKiDfIiCpAjAnNjCoIiClFiCmIiCkCiCmGiCkLiBeBjGnPiCoIjCgMiCmN_xHqqkZx_ TRUE _xZkqqHx_iCmGiCmIiCoIiCnMiClH_xHqqkZx_
	              // _xZkqqHx_jHoBiKeP_xHqqkZx_: OCX _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfHiCmMjGnPiCoIjCgMiCmN_xHqqkZx_ FALSE _xZkqqHx_iCmGiCmIiCoIiCnMiClH_xHqqkZx_
} // CFCPreUnit::OnInitDialog.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreUnit::OnOK
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_iCgOiCgKiDhLiDfOiDjDiCkJiCoHiOmAiNhDiClDiCoKiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.02.17 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreUnit::OnOK ()
{
	//-----	_xZkqqHx_jBkOjAkLiCmJjGlFiPiCiCkKiCkAiCoJiPoKiNiHiCmNiBeBjFjEjFgJiCmJjBkOjAkLiCpAjAnNjCoIiClJiClIiCmJjFjMiLeB_xHqqkZx_ -----
	if (!IsConsistent())
	{
		BASE_CLASS::OnOK();
		return;
	}
	if (m_tdwWhichUnit.IsChanged())
	{
		//----- _xZkqqHx_iKgFiOoNjBkOjAkLiCmMjAnNjCoI_xHqqkZx_ -----
		switch (m_tdwWhichUnit)
		{
		case IDC_UNT_RDO_CM:
			g_pReg->SetUnitString(GetResWString(IDS_UNIT_STRING_CM));
			g_pReg->SetUnitCoeff(FD_UNIT_CFFCNT_CM);
			break;
		case IDC_UNT_RDO_MM:
			g_pReg->SetUnitString(GetResWString(IDS_UNIT_STRING_MM));
			g_pReg->SetUnitCoeff(FD_UNIT_CFFCNT_MM);
			break;
		case IDC_UNT_RDO_INCH:
			g_pReg->SetUnitString(GetResWString(IDS_UNIT_STRING_INCH));
			g_pReg->SetUnitCoeff(FD_UNIT_CFFCNT_INCH);
			break;
		case IDC_UNT_RDO_POINT:
			g_pReg->SetUnitString(GetResWString(IDS_UNIT_STRING_POINT));
			g_pReg->SetUnitCoeff(FD_UNIT_CFFCNT_POINT);
			break;
		case IDC_UNT_RDO_SUN:
			g_pReg->SetUnitString(GetResWString(IDS_UNIT_STRING_SUN));
			g_pReg->SetUnitCoeff(FD_UNIT_CFFCNT_SUN);
			break;
		}
		//---- hi->hix,hix->hi_xZkqqHx_iCmMiOjOiCmMiMfHjAjEiCmNiBeB_xHqqkZx_SetUnitCoeff _xZkqqHx_iCmFiOkJjDkOiMhGiOfK_xHqqkZx_ -----

		// _xZkqqHx_jCfAiImKiPoOjFpBiCpAiDiMiDfHiDfIiDgHiDiKiCmJiPjBiCkLiNjOiCnOiBeC_xHqqkZx_
		g_pReg->SaveRegUnit();
		//----- View_xZkqqHx_iCmMiDiLiBfLiDiJiBfLjCfAiImKiCpAiPeDjAlDiBjFiNmEjFfMiOkG_xHqqkZx_ -----
		g_pView->UpdateScrollSize();
		if (FFGetMainWnd()->HRuler() != NULL) FFGetMainWnd()->HRuler()->Invalidate();
		if (FFGetMainWnd()->VRuler() != NULL) FFGetMainWnd()->VRuler()->Invalidate();
	}
	// _xZkqqHx_jBkOjAkLjFmPjAjEiCmMiPiJiKpKiJlLiBeC_xHqqkZx_
	PostMessage(WM_COMMAND, ID_DIALOG_INIT_VALUE);
	// Superclass_xZkqqHx_iKnGjAjEiOmAiNhDiBeC_xHqqkZx_
	BASE_CLASS::OnOK();
} // CFCPreUnit::OnOK.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreUnit::OnUntRdoCm
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_iDiJiDfHiDeJiDhLiDfOiDjDiBhFiDfKiDjDiDgAiDiBiBfLiDgHiDiLiBhGiCkKjBeJjBpAiClDiCoKiClNiOjOiOmAiNhDiClDiCoKiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.02.17 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreUnit::OnUntRdoCm ()
{
	m_tdwWhichUnit = IDC_UNT_RDO_CM;
	// _xZkqqHx_jFmPjAjEiCmMjCgMiCpAiDfCiDjDiDgHiDiNiBfLiDiLiCnGjElNiJgGiBeC_xHqqkZx_
	UpdateControls(IDC_UNT_RDO_CM);
	// _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmMjHeMiMpIiBeFjGlDiMpIiCpAjAnNjCoIiBeC_xHqqkZx_
	UpdateActivate();
	// _xZkqqHx_jBkOjAkLiCmJjFmPiNfIiCkKiCkAiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiCoJiBeC_xHqqkZx_
	UpdateModified();
} // CFCPreUnit::OnUntRdoCm.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreUnit::OnUntRdoMm
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_iDiJiDfHiDeJiDhLiDfOiDjDiBhFiDhOiDiKiDiBiBfLiDgHiDiLiBhGiCkKjBeJjBpAiClDiCoKiClNiOjOiOmAiNhDiClDiCoKiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.02.17 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreUnit::OnUntRdoMm ()
{
	m_tdwWhichUnit = IDC_UNT_RDO_MM;
	// _xZkqqHx_jFmPjAjEiCmMjCgMiCpAiDfCiDjDiDgHiDiNiBfLiDiLiCnGjElNiJgGiBeC_xHqqkZx_
	UpdateControls(IDC_UNT_RDO_MM);
	// _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmMjHeMiMpIiBeFjGlDiMpIiCpAjAnNjCoIiBeC_xHqqkZx_
	UpdateActivate();
	// _xZkqqHx_jBkOjAkLiCmJjFmPiNfIiCkKiCkAiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiCoJiBeC_xHqqkZx_
	UpdateModified();
} // CFCPreUnit::OnUntRdoMm.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreUnit::OnUntRdoInch
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_iDiJiDfHiDeJiDhLiDfOiDjDiBhFiDeDiDjDiDgAiBhGiCkKjBeJjBpAiClDiCoKiClNiOjOiOmAiNhDiClDiCoKiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.02.17 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreUnit::OnUntRdoInch ()
{
	m_tdwWhichUnit = IDC_UNT_RDO_INCH;
	// _xZkqqHx_jFmPjAjEiCmMjCgMiCpAiDfCiDjDiDgHiDiNiBfLiDiLiCnGjElNiJgGiBeC_xHqqkZx_
	UpdateControls(IDC_UNT_RDO_INCH);
	// _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmMjHeMiMpIiBeFjGlDiMpIiCpAjAnNjCoIiBeC_xHqqkZx_
	UpdateActivate();
	// _xZkqqHx_jBkOjAkLiCmJjFmPiNfIiCkKiCkAiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiCoJiBeC_xHqqkZx_
	UpdateModified();
} // CFCPreUnit::OnUntRdoInch.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreUnit::OnUntRdoSun
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_iDiJiDfHiDeJiDhLiDfOiDjDiBhFjAkBiBhGiCkKjBeJjBpAiClDiCoKiClNiOjOiOmAiNhDiClDiCoKiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.02.20 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreUnit::OnUntRdoSun ()
{
	m_tdwWhichUnit = IDC_UNT_RDO_SUN;
	// _xZkqqHx_jFmPjAjEiCmMjCgMiCpAiDfCiDjDiDgHiDiNiBfLiDiLiCnGjElNiJgGiBeC_xHqqkZx_
	UpdateControls(IDC_UNT_RDO_SUN);
	// _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmMjHeMiMpIiBeFjGlDiMpIiCpAjAnNjCoIiBeC_xHqqkZx_
	UpdateActivate();
	// _xZkqqHx_jBkOjAkLiCmJjFmPiNfIiCkKiCkAiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiCoJiBeC_xHqqkZx_
	UpdateModified();
} // CFCPreUnit::OnUntRdoSun.

/*************************************************************************
 * <_xZkqqHx_iKnGjAjE_xHqqkZx_>	CFCPreUnit::OnUntRdoPoint
 *
 * <_xZkqqHx_iLeAjEfM_xHqqkZx_>	_xZkqqHx_iDiJiDfHiDeJiDhLiDfOiDjDiBhFiDhMiDeDiDjDiDgHiBhGiCkKjBeJjBpAiClDiCoKiClNiOjOiOmAiNhDiClDiCoKiCoJiBeC_xHqqkZx_
 *
 * <_xZkqqHx_jHjKjHpA_xHqqkZx_>	00.09.14 Fukushiro M. _xZkqqHx_iNoMjAkM_xHqqkZx_
 *************************************************************************/
void CFCPreUnit::OnUntRdoPoint ()
{
	m_tdwWhichUnit = IDC_UNT_RDO_POINT;
	// _xZkqqHx_jFmPjAjEiCmMjCgMiCpAiDfCiDjDiDgHiDiNiBfLiDiLiCnGjElNiJgGiBeC_xHqqkZx_
	UpdateControls(IDC_UNT_RDO_POINT);
	// _xZkqqHx_iDfCiDjDiDgHiDiNiBfLiDiLiCmMjHeMiMpIiBeFjGlDiMpIiCpAjAnNjCoIiBeC_xHqqkZx_
	UpdateActivate();
	// _xZkqqHx_jBkOjAkLiCmJjFmPiNfIiCkKiCkAiCoJiCkJiCmHiCkEiCkJiCpAjClCiCnHiCoJiBeC_xHqqkZx_
	UpdateModified();
} // CFCPreUnit::OnUntRdoPoint.
